cwlVersion: v1.2
class: CommandLineTool

requirements:
  DockerRequirement:
    dockerPull: arvados/jobs:2.3.1
  NetworkAccess:
    networkAccess: true
  EnvVarRequirement:
    envDef:
      ARVADOS_API_TOKEN: $(inputs.arvados_api_token)
      ARVADOS_API_HOST: $(inputs.arvados_api_host)

baseCommand:
  - arv-wrapper
  - arv-get
arguments:
  - --skip-existing
  - --no-progress

inputs:
  arvados_collection_locator:
    type: string
    inputBinding:
      position: 1
  arvados_destination_file:
    type: string
    inputBinding:
      position: 2
  arvados_api_token: string
  arvados_api_host: string

outputs:
  collection_file:
    type: File
    outputBinding:
      glob: $(inputs.arvados_destination_file)
