cwlVersion: v1.2
class: CommandLineTool

requirements:
  NetworkAccess:
    networkAccess: true
  DockerRequirement:
    dockerPull: arvados/jobs:2.3.1
  EnvVarRequirement:
    envDef:
      ARVADOS_API_TOKEN: $(inputs.arvados_api_token)
      ARVADOS_API_HOST: $(inputs.arvados_api_host)
  InlineJavascriptRequirement: {}

baseCommand: arv-put
arguments:
  - --no-progress

inputs:
  arvados_collection_uuid:
    type: string?
    inputBinding:
      position: 1
      prefix: --update-collection
  return_pdh:
    type: boolean?
    inputBinding:
      position: 2
      prefix: --portable-data-hash
  arvados_collection_name:
    type: string?
    inputBinding:
      position: 3
      prefix: --name
  arvados_project_uuid:
    type: string?
    inputBinding:
      position: 4
      prefix: --project-uuid
  arvados_files:
    type: File[]
    inputBinding:
      position: 5
  arvados_api_token: string
  arvados_api_host: string

outputs:
  collection_locator:
    type: string
    outputBinding:
      glob: collection_locator.txt
      loadContents: true
      outputEval: $(self[0].contents.slice(0, -1)) # chomp newline char
stdout: collection_locator.txt
