#!/usr/bin/env cwl-runner

cwlVersion: v1.2
class: CommandLineTool

requirements:
  DockerRequirement:
    dockerPull: quay.io/biocontainers/bcftools:1.14--h88f3f91_0
  ResourceRequirement:
    coresMin: 2
    coresMax: 6

inputs:
  hap_sample_file_prefix:
    type: string
    inputBinding:
      position: 1
      prefix: --hapsample
  vcf_file:
    type: File
    inputBinding:
      position: 2

# docker image has bcftools as entrypoint
baseCommand: [bcftools, convert]

arguments:
  - --threads
  - $(runtime.cores)

outputs:
  bcftools_hap_out:
    type: File
    outputBinding:
      glob: $(inputs.hap_sample_file_prefix).hap.gz
  bcftools_sample_out:
    type: File
    outputBinding:
      glob: $(inputs.hap_sample_file_prefix).samples